package renderer

import (
	"net/http"
	solidarity_service "git.coopgo.io/sbouaram/solidarity-service/servers/grpc/proto"
)

const solidarityserviceMenu = "solidarity_service"

func (renderer *Renderer) SolidarityServiceBookingList(w http.ResponseWriter, r *http.Request, drivers *solidarity_service.DriverJourneysResponse) {
	files := renderer.ThemeConfig.GetStringSlice("views.solidarity_service.list.files")
	state := NewState(r, renderer.ThemeConfig, solidarityserviceMenu)
	state.ViewState = map[string]any{
		"drivers":              drivers,
	}

	renderer.Render("solidarity_service", w, r, files, state)
}

func (renderer *Renderer) SolidarityServiceBookingCreate(w http.ResponseWriter, r *http.Request) {
	files := renderer.ThemeConfig.GetStringSlice("views.solidarity_service.list.files")
	state := NewState(r, renderer.ThemeConfig, solidarityserviceMenu)

	renderer.Render("solidarity_service", w, r, files, state)
}
